Poll or redeem CLI device authorization

Poll or redeem CLI device authorization

Polls a device grant and returns credentials once the browser approves it.

POST/api/auth/device/token
Body
grant_typeenumrequired

One of: urn:ietf:params:oauth:grant-type:device_code

device_codestringrequired
client_idenumrequired

One of: trickest-cli

Request

curl
curl -X POST https://trickest.io/api/auth/device/token \
  -H "Authorization: Bearer $TRICKEST_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ }'

Responses

200Device authorization credentials
access_tokenstringrequired
refresh_tokenstring
token_typeenumrequired

One of: Bearer

is_googlebooleanrequired
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.